package cn.superdesk.uniorder.dubbo.consumer.operation;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.base.UnifiedOrder;
import cn.superdesk.uniorder.dao.entity.operation.UnifiedOrderIssues;
import cn.superdesk.uniorder.dto.param.operation.UnifiedOrderIssuesParam;
import cn.superdesk.uniorder.dto.param.operation.UnifiedOrderIssuesQueryCriteria;
import cn.superdesk.uniorder.dubbo.facade.operation.DubboUnifiedOrderIssuesService;
import com.alibaba.dubbo.config.annotation.Reference;
import com.github.pagehelper.PageInfo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * @Description: 问题订单
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2021-01-29 16:47:14
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021-01-29 16:47:14
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Slf4j
@Component
public class UnifiedOrderIssuesDubboConsumerService {

	@Reference(version = "1.0.0", timeout = 10000, retries = -1)
	private DubboUnifiedOrderIssuesService dubboUnifiedOrderIssuesService;


	/****************************************** extends BaseService 部分 start ******************************************/

	public void addObj(UnifiedOrderIssuesParam param) {

		dubboUnifiedOrderIssuesService.addObj(param);

	}

	public void updateObj(UnifiedOrderIssuesParam param) {

		dubboUnifiedOrderIssuesService.updateObj(param);
	}

	public void deleteObj(Long id) {

		dubboUnifiedOrderIssuesService.deleteObj(id);
	}

	public UnifiedOrderIssues findById(Long id) {

		return dubboUnifiedOrderIssuesService.findById(id);
	}

	public PageInfo<UnifiedOrderIssues> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize) {

		return dubboUnifiedOrderIssuesService.findByPaging(conditions, pageNun, pageSize);
	}

	public List<UnifiedOrderIssues> findAll(Map<String, Object> queryMap) {

		return dubboUnifiedOrderIssuesService.findAll(queryMap);
	}

	/****************************************** extends BaseService 部分   end ******************************************/


	public void addUnifiedOrderIssues(UnifiedOrderIssuesParam param) {

		dubboUnifiedOrderIssuesService.addUnifiedOrderIssues(param);
	}


	public void updateUnifiedOrderIssues(UnifiedOrderIssuesParam param) {

		dubboUnifiedOrderIssuesService.updateUnifiedOrderIssues(param);
	}


	public void deleteUnifiedOrderIssues(Long id) {
		dubboUnifiedOrderIssuesService.deleteUnifiedOrderIssues(id);
	}


	public UnifiedOrderIssues findUnifiedOrderIssuesById(Long id) {

		return dubboUnifiedOrderIssuesService.findUnifiedOrderIssuesById(id);
	}


	public R<List<UnifiedOrderIssues>> pageQuery(UnifiedOrderIssuesQueryCriteria queryCriteria, int pageNun, int pageSize) {

		return dubboUnifiedOrderIssuesService.pageQuery(queryCriteria, pageNun, pageSize);
	}

	public List<UnifiedOrder> getToDoUnifiedOrderIssuesList(int pageNun, int pageSize) {
		return dubboUnifiedOrderIssuesService.getToDoUnifiedOrderIssuesList(pageNun, pageSize);
	}


	public void runTaskUnifiedOrderIssues(UnifiedOrder entity) {
		dubboUnifiedOrderIssuesService.runTaskUnifiedOrderIssues(entity);
	}
}
